nodejs:找不到模块“护照”

我在探索Node.js的开始时错过了相当基本的东西。 我正在尝试使用passportjs身份validation来构build一个小应用程序。

我在我的app.ts有以下行:

 import passport = require("passport"); 

和下面的我的package.json:

 { "name": "ftct", "version": "0.0.0", "description": "ftct", "main": "app.js", "author": { "name": "Mark.Norgate", "email": "" }, "dependencies": { "express": "3.4.4", "jade": "*", "passport": "^0.3.2", "stylus": "*" } } 

但是,Visual Studio 2015抱怨:

 Build: Cannot find module 'passport'. 

我错过了什么? 我已经阅读了一些关于passportjs的文档,但是到目前为止还没有看到什么问题。

       

网上收集的解决方案 "nodejs:找不到模块“护照”"

更改:

 import passport = require("passport"); 

至:

 var passport = require("passport"); 

在你的package.json中添加一个新的模块实际上不会在版本库中包含依赖项。 在添加依赖到package.json之后,您需要运行npm install ,或者您可以使用类似于npm install <package name> 。 在这种情况下,你需要npm install passport

npm install会从npm下载源文件并将其放入./node_modules目录。

npm安装文档

我有一个类似的问题,护照安装并妥善保存在package.json中,但仍然出现错误。

我的问题是,在package.json中有行

 "engines": { "node": ">=6.9.1" }, 

我将我的package.json与其他在线的例子进行了比较,然后删除了这一行,它工作。